\ProvidesPackage{beamerfontthemetreeptik}

\mode<presentation>

\usepackage{fontspec}
\setmainfont{Roboto Light}[BoldFont={Roboto Regular}, ItalicFont={Roboto Light Italic}, Ligatures=TeX]
\setsansfont{Roboto Light}[BoldFont={Roboto Regular}, ItalicFont={Roboto Light Italic}, Ligatures=TeX]
\setmonofont{Roboto Mono Light}[BoldFont={Roboto Mono Regular}, ItalicFont={Roboto Mono Light Italic}]

\newfontfamily\titlefamily{Oswald}[BoldFont={Oswald SemiBold}, Ligatures=TeX]

\setbeamerfont{title}{family=\titlefamily,series=\bfseries}
\setbeamerfont{frametitle}{family=\titlefamily,series=\bfseries}

\mode<all>
